<?php

use IQBall\Core\Connection;
use IQBall\Core\Gateway\AccountGateway;
use IQBall\Core\Model\AuthModel;

/**
 * @return PDO The PDO instance of the configuration's database connexion.
 */
function get_database(): PDO {
    // defined by profiles.
    global $data_source_name;
    $pdo = new PDO($data_source_name, DATABASE_USER, DATABASE_PASSWORD, [PDO::ERRMODE_EXCEPTION]);

    $database_exists = $pdo->query("SELECT COUNT(*) FROM sqlite_master WHERE type = 'table'")->fetchColumn() > 0;

    if ($database_exists) {
        return $pdo;
    }

    foreach (scandir(__DIR__) as $file) {
        if (preg_match("/.*\.sql$/i", $file)) {
            $content = file_get_contents(__DIR__ . "/" . $file);

            $pdo->exec($content);
        }
    }

    init_database($pdo);

    return $pdo;
}
