<?php

namespace IQBall\Core\Data;

/**
 * Base class of a user account.
 * Contains the private information that we don't want
 * to share to other users, or non-needed public information
 */
class Account {
    /**
     * @var string string token
     */
    private string $token;

    /**
     * @var User contains all the account's "public" information
     */
    private User $user;

    /**
     * @param string $token
     * @param User $user
     */
    public function __construct(string $token, User $user) {
        $this->token = $token;
        $this->user = $user;
    }

    public function getToken(): string {
        return $this->token;
    }

    /**
     * @return User
     */
    public function getUser(): User {
        return $this->user;
    }

}
