<?php

namespace IQBall\Core\Data;

class User implements \JsonSerializable {
    /**
     * @var string $email user's mail address
     */
    private string $email;

    /**
     * @var string the user's username
     */
    private string $name;

    /**
     * @var int the user's id
     */
    private int $id;

    /**
     * @var string user's profile picture
     */
    private string $profilePicture;

    /**
     * @var bool true if the user is an administrator
     */
    private bool $isAdmin;

    /**
     * @param string $email
     * @param string $name
     * @param int $id
     * @param string $profilePicture
     * @param bool $isAdmin
     */
    public function __construct(string $email, string $name, int $id, string $profilePicture, bool $isAdmin) {
        $this->email = $email;
        $this->name = $name;
        $this->id = $id;
        $this->profilePicture = $profilePicture;
        $this->isAdmin = $isAdmin;
    }

    /**
     * @return bool
     */
    public function isAdmin(): bool {
        return $this->isAdmin;
    }

    /**
     * @return string
     */
    public function getEmail(): string {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getName(): string {
        return $this->name;
    }

    /**
     * @return int
     */
    public function getId(): int {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getProfilePicture(): string {
        return $this->profilePicture;
    }

    public function jsonSerialize() {
        return get_object_vars($this);
    }
}
